Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deProfile.hpp File Reference

Real-time profiling class and manager. More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deProfile.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | deProfile
struct | ProfileInfo_t
class | IdeProfileManager
class | deTimer_TSC
## Defines
#define | DEPROFILE_API extern "C" DEDLL_IMPORT
#define | DE3D_TIMER_TSC
#define | DE3D_TIMER_QPC
#define | PROFILE_RELEASE_ALSO
#define | PROFILE(ProfileID) deProfile Profile_Identifier___(ProfileID)
#define | PROFILE_ID_NAME(ProfileID, Name) deProfile Profile_Identifier___(ProfileID,Name)
## Typedefs
typedef deTimer_TSC | deTimer
## Functions
void | GrabTSC (u64 *Clock)
DEDLL_IMPORT IdeProfileManager * | IdeProfile_GetTheManager ()
DEDLL_IMPORT void | IdeProfile_ShutDown ()

## Detailed Description

Real-time profiling class and manager.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Sept 2002

Author:
  Assassin

Remarks:
  Creation

Date:
  May 2003

Author:
  Assassin

Remarks:
  Updates for enhanced feedback

## Define Documentation

#define DE3D_TIMER_QPC

#define DE3D_TIMER_TSC

#define DEPROFILE_API extern "C" DEDLL_IMPORT

#define PROFILE | ( | ProfileID |  | ) | deProfile Profile_Identifier___(ProfileID)

#define PROFILE_ID_NAME | ( | ProfileID,
|  | Name |  | ) | deProfile Profile_Identifier___(ProfileID,Name)

#define PROFILE_RELEASE_ALSO

## Typedef Documentation

typedef deTimer_TSC deTimer

## Function Documentation

void GrabTSC | ( | u64 * | Clock | ) | `[inline, static]`

DEDLL_IMPORT IdeProfileManager* IdeProfile_GetTheManager | ( |  | ) |

DEDLL_IMPORT void IdeProfile_ShutDown | ( |  | ) |